body {
    font-family: "Montserrat", sans-serif;
    font-weight: 300;
    font-size: 0.8em;
    color: #fff;
    text-shadow: 0.1em 0.1em 0 rgba(0, 0, 0, 0.3);
    height: 100vh;
    
    
    background-image: url(https://kipmu.ru/wp-content/uploads/kobobl.jpg);
  }
  h1 {
    margin: 0 auto;
    text-align: center;
    color: #fff;
    font-size: 3em;
  }
 
  #block {
    position:absolute;
    right:150px;
    top:5px;
    display:flex;
     width: 400px;
    height: auto;
    background-image:url(https://mobimg.b-cdn.net/pic/v2/gallery/real/nebo-oblaka-pejzazh-solnce-14597.jpg);
  background-repeat: round;
  }
  #weather {
    position:absolute;
    top:5px;
    right:5px;
    width: 100px;
    height: auto;
    background-image:url(https://i1.7fon.org/thumb/c159574.jpg);
  background-repeat: round;
  }
  div {
    text-align:center;
  }
  #weatherone {
    margin:20px;
  }
  #weathertwo {
    margin:10px;
  }
  #weatherthree {
    margin:10px;
  }
  #close {
  position: absolute;
  right: 20px;
  top: -5px;
  width: 10px;
  height: 10px;
  opacity: 0.6;
  cursor:pointer;
  }
  #close:hover {
  opacity: 1;
  }
  #close:before, #close:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 10px;
  width: 2px;
  background-color: white;
  }
  #close:before {
  transform: rotate(45deg);
  }
  #close:after {
  transform: rotate(-45deg);
  }
  #button {
    margin-top:20px;
  }
  #button {
    color: #777674;
    font-weight: bold;
    text-decoration: none;
    text-shadow: rgba(255,255,255,.5) 1px 1px, rgba(100,100,100,.3) 3px 7px 3px;
    user-select: none;
    outline: none;
    border-radius: 3px / 100%;
    background-image:
     linear-gradient(45deg, rgba(255,255,255,.0) 30%, rgba(255,255,255,.8), rgba(255,255,255,.0) 70%),
     linear-gradient(to right, rgba(255,255,255,1), rgba(255,255,255,0) 20%, rgba(255,255,255,0) 90%, rgba(255,255,255,.3)),
     linear-gradient(to right, rgba(125,125,125,1), rgba(255,255,255,.9) 45%, rgba(125,125,125,.5)),
     linear-gradient(to right, rgba(125,125,125,1), rgba(255,255,255,.9) 45%, rgba(125,125,125,.5)),
     linear-gradient(to right, rgba(223,190,170,1), rgba(255,255,255,.9) 45%, rgba(223,190,170,.5)),
     linear-gradient(to right, rgba(223,190,170,1), rgba(255,255,255,.9) 45%, rgba(223,190,170,.5));
    background-repeat: no-repeat;
    background-size: 200% 100%, auto, 100% 2px, 100% 2px, 100% 1px, 100% 1px;
    background-position: 200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    box-shadow: rgba(0,0,0,.5) 3px 10px 10px -10px;
  }
  #button:hover{
    transition: .5s linear;
    background-position: -200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
  }
  #button:active {
    top: 1px;
  }
  #closeone {
  position: absolute;
  right: 20px;
  top: -5px;
  width: 10px;
  height: 10px;
  opacity: 0.6;
  cursor:pointer;
  }
  #closeone:hover {
  opacity: 1;
  }
  #closeone:before, #closeone:after {
  position: absolute;
  left: 15px;
  content: ' ';
  height: 10px;
  width: 2px;
  background-color: white;
  }
  #closeone:before {
  transform: rotate(45deg);
  }
  #closeone:after {
  transform: rotate(-45deg);
  }
  
  #forecast {
    position: absolute;
    right: 20px;
    top:20px;
    display: inline-block;
    color: black;
    font-size: 125%;
    font-weight: 700;
    text-decoration: none;
    user-select: none;
    padding: .25em .5em;
    outline: none;
    border: 1px solid rgb(250,172,17);
    border-radius: 7px;
    background: rgb(255,212,3) linear-gradient(rgb(255,212,3), rgb(248,157,23));
    box-shadow: inset 0 -2px 1px rgba(0,0,0,0), inset 0 1px 2px rgba(0,0,0,0), inset 0 0 0 60px rgba(255,255,0,0);
    transition: box-shadow .2s, border-color .2s;
  } 
  #forecast:hover {
    box-shadow: inset 0 -1px 1px rgba(0,0,0,0), inset 0 1px 2px rgba(0,0,0,0), inset 0 0 0 60px rgba(255,255,0,.5);
  }
  #forecast:active {
    padding: calc(.25em + 1px) .5em calc(.25em - 1px);
    border-color: rgba(177,159,0,1);
    box-shadow: inset 0 -1px 1px rgba(0,0,0,.1), inset 0 1px 2px rgba(0,0,0,.3), inset 0 0 0 60px rgba(255,255,0,.45);
  }